#define draw_health_halo
var total_line_length, life_line_length, hurt_line_length, line_width;

total_line_length = sprite_width;
life_line_length = (life/maxlife)*total_line_length;
hurt_line_length = total_line_length - life_line_length;
line_width = 4;

//draw the health part of the halo, healthline
draw_set_color(c_green);
draw_line_width(x - total_line_length/2, bbox_top - 4, x - total_line_length/2 + life_line_length, bbox_top - 4, line_width);
//draw the hurt part of the halo, hurtline
if hurt_line_length >0
{
draw_set_color(c_red);
draw_line_width(x - total_line_length/2 + life_line_length + 1, bbox_top - 4, x + total_line_length/2, bbox_top - 4, line_width);
}

#define draw_health_halo_length
var total_line_length, life_line_length, hurt_line_length, line_width;

total_line_length = argument0;
life_line_length = (life/maxlife)*total_line_length;
hurt_line_length = total_line_length - life_line_length;
line_width = 4;

//draw the health part of the halo, healthline
draw_set_color(c_green);
draw_line_width(x - total_line_length/2, bbox_top - 4, x - total_line_length/2 + life_line_length, bbox_top - 4, line_width);
//draw the hurt part of the halo, hurtline
if hurt_line_length >0
{
draw_set_color(c_red);
draw_line_width(x - total_line_length/2 + life_line_length + 1, bbox_top - 4, x + total_line_length/2, bbox_top - 4, line_width);
}

#define draw_health_halo_life
var total_line_length, life_line_length, hurt_line_length, line_width, life, maxlife;

life = argument0;
maxlife = argument1;

total_line_length = sprite_width;
life_line_length = (life/maxlife)*total_line_length;
hurt_line_length = total_line_length - life_line_length;
line_width = 4;

//draw the health part of the halo, healthline
draw_set_color(c_green);
draw_line_width(x - total_line_length/2, bbox_top - 4, x - total_line_length/2 + life_line_length, bbox_top - 4, line_width);
//draw the hurt part of the halo, hurtline
if hurt_line_length >0
{
draw_set_color(c_red);
draw_line_width(x - total_line_length/2 + life_line_length + 1, bbox_top - 4, x + total_line_length/2, bbox_top - 4, line_width);
}

#define draw_health_halo_color
var total_line_length, life_line_length, hurt_line_length, line_width, health_color, hurt_color;

health_color = argument0;
hurt_color = argument1;

total_line_length = sprite_width;
life_line_length = (life/maxlife)*total_line_length;
hurt_line_length = total_line_length - life_line_length;
line_width = 4;

//draw the health part of the halo, healthline
draw_set_color(health_color);
draw_line_width(x - total_line_length/2, bbox_top - 4, x - total_line_length/2 + life_line_length, bbox_top - 4, line_width);
//draw the hurt part of the halo, hurtline
if hurt_line_length >0
{
draw_set_color(hurt_color);
draw_line_width(x - total_line_length/2 + life_line_length + 1, bbox_top - 4, x + total_line_length/2, bbox_top - 4, line_width);
}

#define draw_health_halo_general
var total_line_length, life_line_length, hurt_line_length, line_width, life, maxlife, health_color, hurt_color, offset;

total_line_length = argument0;
line_width = argument1;
life = argument2;
maxlife = argument3;
health_color = argument4;
hurt_color = argument5;
offset = argument6;

life_line_length = (life/maxlife)*total_line_length;
hurt_line_length = total_line_length - life_line_length;
offset += line_width; //the draw_line_width function will eat up part of the offset with the width of the line unless we add in the line's width.

//draw the health part of the halo, healthline
draw_set_color(c_green);
draw_line_width(x - total_line_length/2, bbox_top - offset, x - total_line_length/2 + life_line_length, bbox_top - offset, line_width);
//draw the hurt part of the halo, hurtline
if hurt_line_length >0
{
draw_set_color(c_red);
draw_line_width(x - total_line_length/2 + life_line_length + 1, bbox_top - offset, x + total_line_length/2, bbox_top - offset, line_width);
}

